// File: MainDlg.h
//
// Description: Header file for MainDlg.cpp

#if !defined(__MAINDLG_H__)
#define __MAINDLG_H__

#pragma once

#include "Settings.h"

// CMainDlg class (dialog)
class CMainDlg : public CDialog
{
public:
	// Standard constructor
	CMainDlg(CWnd* pParent = NULL);

private:
	HICON m_hIcon;
	CPrnSettings m_PrnSettings;

	// Dialog data
	enum { IDD = IDD_MAIN_DIALOG };
	CEdit m_ClientAppEdit;
	CEdit m_WndClassEdit;
	CEdit m_WndTitleEdit;
	CEdit m_ClipboardFmtEdit;
	CEdit m_MessageIdEdit;
	CComboBox m_TransferModeCombo;
	CEdit m_OutputPathEdit;
	CButton m_EmfCheckBox;
	CButton m_BmpCheckBox;
	CButton m_PngCheckBox;
	CButton m_JpegCheckBox;
	CButton m_TiffCheckBox;
	CButton m_PdfCheckBox;
	CButton m_TxtCheckBox;
	CButton m_RedirectCheckBox;
	CButton m_LanguageCheckBox;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL OnInitDialog();

	// Message map functions
	afx_msg void OnPaint();
	afx_msg void OnBnClickedExebrowsebutton();
	afx_msg void OnBnClickedDirbrowsebutton();
	afx_msg void OnBnClickedSavebutton();
	DECLARE_MESSAGE_MAP()
};

#endif // !defined(__MAINDLG_H__)
